@font-face {
    font-family: Louise;
    src: url(../typo/Louise-Regular.woff);
}

@font-face {
    font-family: Redaction;
    src: url(../typo/Redaction-Regular.woff2);
}

html, body {
    margin: 0;
    padding: 0;
    font-size: 24px;
    font-family: Redaction;
    text-shadow: 0px 0px 5px white,
    2px 2px 10px white,
    -4px 4px 20px white,
    0px 0px 40px white;
}

html {
    background: #d9ebf4;
    background: linear-gradient(180deg, #d9ebf4 0%, #ffffff 100%);
}

.container {
    display: flex;
}

/*-----NAVIGATION-----*/
nav {
    width: 18%;
    background: linear-gradient(0deg, #d9ebf4 0%, #ffffff 100%);
    padding: 15px;
    height: 100vh;
    position: fixed;
}

fieldset {
    border: none;
    padding: 0;
    margin-bottom: 20px;
}

legend {
    font-family: Louise;
}

#filters button {
    white-space: nowrap;
    cursor: pointer;
    transition: 0.4s;
    font-size: 0.8rem;
    background-color: transparent;
}

button:hover {
    text-shadow: 0px 0px 5px #f7a2eb,
    2px 2px 10px white,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
}

button:active, .mixitup-control-active {
    text-shadow: 0px 0px 5px #f7a2eb,
    2px 2px 10px #f7a2eb,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
}

#svgNuage {
    position: absolute;
    cursor: not-allowed;
    animation: 10s mvmt infinite ease-in-out alternate;
}

@keyframes mvmt {
    from {right: 180px; top: 290px;}
    to {right: 230px; top: 300px;}
}

#filters {
    position: fixed;
    top: 0;
    left: -253px;
    scrollbar-width: none;
    width: 10%;
    min-width: 10rem;
    background-color: #d9ebf480;
    background: linear-gradient(180deg, #ffffffdc 0%, #d9ebf4dc 100%);
    backdrop-filter: blur(5px);
    transition: left 0.4s ease;
    z-index: 1001;
    padding: 1.2rem;
    overflow-y: auto;
    /* transform: translateX(100%); */
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    cursor: pointer;
}

#filters.open {
    transform: translateX(80%);
}

.titrepanel {
    font-family: Louise;
    position: absolute;
    top: 48%;
}

.titrepanel:hover {
    text-shadow: 0px 0px 5px #f7a2eb,
    2px 2px 10px white,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
}

#filtrer {
    right: -18px;
    rotate: -90deg;
}

/*------FORMULAIRE-----*/
.formu {
    position: fixed;
    top: 0;
    right: 40px;
    width: 20%;
    min-width: 10rem;
    height: 50vh;
    background-color: #d9ebf480;
    background: linear-gradient(180deg, #ffffffdc 0%, #d9ebf4dc 100%);
    backdrop-filter: blur(5px);
    transition: right 0.4s ease;
    z-index: 2;
    padding: 1.8rem;
    overflow-y: auto;
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    cursor: pointer;
}

.formu.open {
    transform: translateX(20%);
}

#close-panel {
    position: absolute;
    top: 0.5rem;
    left : 0.5rem;
    background: none;
    border: none;
    font-size: 2rem;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.imprimer {
    font-family: Louise;
    position: fixed;
    background-color: #d9ebf480;
    background: linear-gradient(90deg, #ffffffdc 0%, #d9ebf4dc 100%);
    backdrop-filter: blur(5px);
    rotate: 270deg;
    z-index: 2;
    bottom: 82px;
    right: -174px;
    width: 50VH;
}

.imprimer {
    font-family: Louise;
    position: fixed;
    background-color: #d9ebf480;
    background: linear-gradient(90deg, #ffffffdc 0%, #d9ebf4dc 100%);
    backdrop-filter: blur(5px);
    rotate: 270deg;
    z-index: 2;
    bottom: 82px;
    right: -174px;
    width: 50VH;
    color: black;
}

a {
    color: black;
}

.imprimer p {
    padding: 0.1rem;
    margin: 0;
    text-align: center;
    color: black;
}

.imprimer p:hover{
    text-shadow: 0px 0px 5px #f7a2eb,
    2px 2px 10px white,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
    color: black;
}

a:hover {
    text-shadow: 0px 0px 5px #f7a2eb,
    2px 2px 10px white,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
    color: black;
}

a:focus{
    color: black;
}

a:active{
    color: black;
}

#ajouter {
    rotate: -90deg;
    left: -20px;
}

/*-----MAIN-----*/
input, button {
    font-family: Redaction;
    /* box-shadow: 0px 0px 5px white,
    2px 2px 10px white,
    -4px 4px 20px white,
    0px 0px 40px white; */
    border: none;
    border-radius: 4px;
    background-color: rgba(255, 255, 255, 0.479);
}

main {
    flex: 1;
    margin: 0 30px;
    padding: 20px;
    
}

.form {
    font-size: 0.8rem;
}

.sauver {
    background: none;
    font-size: 0.8rem;
    margin-top: 10px;
    text-shadow: 0px 0px 5px white,
    2px 2px 10px white,
    -4px 4px 20px white,
    0px 0px 40px white;
    transition: 0.4s;
}

.sauver:hover {
    text-shadow: 0px 0px 5px #f7a2eb,
    2px 2px 10px white,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
}

.sauver:focus {
    text-shadow: 0px 0px 5px #f7a2eb,
    2px 2px 10px white,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
}

.sauver:active {
    text-shadow: 0px 0px 5px #f7a2eb,
    2px 2px 10px #f7a2eb,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
}

h1 {
    position: fixed;
    bottom: 0;
    text-align: center;
    z-index: 2;
    font-family: Louise;
    font-size: 4rem;
    margin: 0 0 0 10px;
    color: transparent;
    font-family: Louise;
    text-shadow: 0px 0px 5px white,
    2px 2px 10px white,
    -4px 4px 20px #f7a2eb,
    0px 0px 40px white;
}

img {
    max-width: 260px;
    max-height: 600px;
    filter: hue-rotate(330deg);
    cursor: help;
    margin-top: -6px;
    z-index: 2;
}

#nuages-list {
    display: flex;
    flex-flow: row wrap;
    font-size: 0.8rem;
    gap: 6px;
}

.listNuage {
    max-width: 270px;
    position: relative;
}

.listNuage p {
    margin: 10px;
}

.legend {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 270px;
    cursor: help;
}

.legend:hover {
    opacity: 1;
}
